/* You can add global styles to this file, and also import other style files */
@import './assets/vars.scss';
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

body {
    width: 100vw;
    height: 100vh;
}

.formControl > input {
    width: 100%;
    height: 35px;
    padding: 0 8px;
    background-color: white !important;
    border: 1px solid silver;
    border-radius: 5px;
    &.valid {
        border-color: $success-color;
    }

    &.invalid {
        border-color: $error-color;
    }

    &:focus {
        outline: none;
    }
}

.error {
    color: $error-color;
    font-size: .9rem;
    font-weight: lighter;
}

.avatar {
    height: 70px;
    width: 70px;
    border-radius: 50%;
}

.mat-snack-bar-container {
    background-color: $primary-color;
}